toolzerhub API Docs

Get every category, hidden ones too (v1)

Returns every category of sport, including ones hidden from navigation, with id, name, slug, flag and priority. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/sport/categories/all

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

sport?string

Sport slug, such as football, tennis, basketball, cricket, mma or motorsport.

Match^[a-z][a-z-]{1,29}$
Default"football"
curl -X GET "https://example.com/v1/sofascore/sport/categories/all" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}